------------------------- affylmGUI ChangeLog -------------------------

13-Apr-2020 affylmGUI 1.61.8
	Remove .HTML.file as an undefined global.
	Fix code error with extra bracket introduced in previous commit.

12-Apr-2020 affylmGUI 1.61.7
	Remove the majority of require() calls because the NAMESPACE makes them superfluous.
	Remove deleteItemFromList().

12-Apr-2020 affylmGUI 1.61.6
	Remove ALGlimmaUsersGuide() because it is identical to limma::limmaUsersGuide().
	Update showChangeLog() to show an arbitrary number of lines. Previously the `n` argument was ignored.
	Remove ALGchangeLog() after copying code to showChangeLog().

11-Apr-2020 affylmGUI 1.61.5
	Update to use limma::lmFit() instead of limma::lm.series.
	Remove topTable2() and toptable2(), replacing with limma::topTable().

11-Apr-2020 affylmGUI 1.61.4
	Simplify code by removing usages of `==TRUE` or `==FALSE`. No change to functionality.

11-Apr-2020 affylmGUI 1.61.3
	More simplification of code formatting. No change to functionality.

11-Apr-2020 affylmGUI 1.61.2
	Simplify formatting of code. Remove the "end of" comments. No change to functionality.

10-Apr-2020 affylmGUI 1.61.1
	Update affylmGUI to use *.db probe annotation packages. If the cdf package is called xxxxcdf then the probe annotation package is now assumed to be xxxx.db instead of xxxx. Gene names and gene symbols are now extracted using the AnnotionDbi package.

 5-Sep-2019 affylmGUI 1.55.3
	Replace BiocInstaller package and biocLite() with BiocManager package. Update biocinstallRepos to repositories().

 4-May-2018 affylmGUI 1.55.2
	NAMESPACE file: import specific function from BiocInstaller
	instead of importing whole package.

14-Mar-2018 affylmGUI 1.55.1
	DESCRIPTION file: remove Yifang Hu and Keith Satterley as maintainers

14-Mar-2017 affylmGUI 1.49.2
	Edits to NAMESPACE file: importFrom gcrma instead import whole
	package; import Windows-specific functions from grDevices and
	utils only when Windows is being run.

24-Jan-2017 affylmGUI 1.49.1
	Replace deprecated tcltk functions.
	Update citation advice.
	Import specific functions from grDevices, graphics, stats, utils,
	BiocGenerics and affyPLM instead of importing whole packages.
	Import image method from affyPLM.

23 Nov 2015 affylmGUI 1.45.1
	Add Gordon Smyth to maintainer list
	Simplify CITATION to one article
	Care to use full argument names in function calls
	Move html document files from vignettes directory to inst/doc

17 July 2015 affylmGUI 1.43.2
	Gordon Smyth takes over as maintainer.
	Revise package Title in DESCRIPTION file.
	
16 July 2015 affylmGUI 1.43.1
	Updates to DESCRIPTION file: expanded Description, changed
	License from LGPL to GPL (>=2) and updated biocViews list.

12-Feb 2015 affylmGUI 1.40.2
	Replace ".find.package" function with "find.package" function as it was defunct
	Reformat code in toptable.R
	Removed DEBUG message from ImageQualityWeightPlot function

28-Jan-2015 affylmGUI 1.40.1
	Modified TclArrayVar function to access value of TclVarCount directly
	Modified DESCRIPTION and NAMESPACE files to Import names as now required by R-3.1.2
	Retained affyPLM in Depends field. All others in Imports field in DESCRIPTION and 
	in the imports function in the NAMESPACE file.
	Removed calls to Require function as not needed with above mods and assumption of correct installation.

17-Jan-2013 affylmGUI 1.32.2
	Added Sys.sleep(0.1) calls before various tk commands. In particular before tkgrab.set, 
	tkwait and some tkfocus and tkgrid commands. There were intermitent freezes and/or 
	blacking out of selections in some dialogues (for eg. "Which contrasts" in main.R).
	This seems to have solved the problems, but not completely sure. An R-bug report was
	made (bug 1550-https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=15150). 
	Duncan Murdoch reported 2012-12-24 12:05:41 EST. "I've applied a minimal patch to
	tktoplevel() that should fix this.  It may still show up in other places; if so, 
	please follow up here. The patch is in R-devel revision 61413.". This bug report 
	related to a freeze of the dialogue window. I have additional problems with tcltk 
	windows that incompletely display. I'm following up with the above bug soon. Adding
	many Sys.sleep(0.1) commands has alleviated the problem, but just occassinally a
	window is incompletely drawn when using R-2.15.2.
	Added affy, tkrplot, affyPLM, R2HTML, xtable, gcrma, affyPLM, AnnotationDbi to Depends
	field in DESCRIPTION file to make installation easier. Adding AnnotationDbi avoids
	problem of affy package installing 1.5GB of suggested packages.
	There are now no Suggested packages.

17-Jul-2012 affylmGUI 1.31.1
	Replaced calls to Biobase:::biocReposList() with calls to BiocInstaller biocinstallRepos()

8-Apr-2010 affylmGUI 1.21.0
	fixed documentation bug relating to Filename argument in the openLimmaFile function
	This version ready for release with Bioconductor 2.6 due on April 23 2010

15-Oct-2008 affylmGUI 1.15.1
	[bug]change cdf to cdfName in OpenCDFFile function
	[bug]change arguments call to function ViewContrastsMatrixInTable from
	 (contrastsMatrix,contrastsList,contrastParameterizationIndex) to
	 (contrastsList,contrastParameterizationIndex)
	[bugs]In runOverall function,
 	include "Require("tkrplot") under runType!="runTestOnly" condition(first time).
 	replace "tmpEvalRcodeResults" with "tmpEvalRcodeResultsGraph" under runType!="runTestOnly" condition(second time).
	[bug]In chooseCDF function, change "cdfDataFrame" to "cdfPackages" in the onOK function
	Remove gif file type references in htmlReport.R and replace with png type files
	Replace file R2HTMLlogo.gif with R2HTMLlogo.png file.

20-Apr-2008 affylmGUI 1.13.1
	Remove some corrections by P. Aboyoun in main.R. The references to exprSet are needed
	to check old data files for class name of exprSet and if present retrieve data from them
	without needing the exprSet class definition.
	also reformat the layout of some code to my liking.
	Update the text in main.R about not working with Tcl/Tk.
	Changed license to LGPL
	Added LazyLoad: yes to DESCRIPTION file
	This version ready for release with Bioconductor 2.2

21-Sep-2007 affylmGUI 1.11.6
	HTML Report Report uses options for Top Table that are set when TopTable menu choice is used.
	Reformatted code in main.R and htmlReport.R for consistency

13-Sep-2007 affylmGUI 1.11.5
	Display Citation in TckTk GUI message box as well as writing citation to R console

20-Jun-2007 affylmGUI 1.10.4
	References to Digestion changed to Degradation. Changed Menu Item name and function names
	See Bioconductor emails from Gordon Smyth/Robert Gentleman around December 6th. 2006.

	Fixed a bug in Normalize.R introduced in 1.10.1 - bracket misplaced as shown below:
	Replaced this line
		Try(write.table(NormalizedAffyData.exprs),file=FileName,sep="\t",quote=FALSE,col.names=NA)
	with
		Try(write.table(NormalizedAffyData.exprs,file=FileName,sep="\t",quote=FALSE,col.names=NA))

	Error on console when HTML report was to be created. It read:
		"Error in get(x, envir, mode, inherits) : variable "HTMLenv" was not found"
	Modify htmlreport.R
	replace:
		try(assign(".HTML.graph", TRUE, env = get("HTMLenv", envir = .GlobalEnv)))
	with:
		if (exists("HTMLenv",where=".GlobalEnv",mode="environment")){
			try(assign(".HTML.graph", TRUE, env = get("HTMLenv", envir = .GlobalEnv)))
		}#end of if (exists("HTMLenv",where=".GlobalEnv",mode="environment"))

8-Jun-2007 affylmGUI 1.10.3
	Mispelling in main.R. Replace NormalizedAffyDatase.@exprs with NormalizedAffyData@se.exprs

31-May-2007 affylmGUI 1.10.2
	Fix PLM Normalization problems relating to use of exprSet and PLMset
	Change data storage of exprSet NormalizedAffyData to two separate
	matrices "NormalizedAffyData.exprs" and "NormalizedAffyData.se.exprs".
	This requires the reading of earlier versions of saved lma files to
	be processed so that NormalizedAffyData.exprs and NormalizedAffyData.se.exprs
	are extracted from the exprSet NormalizedAffyData and the individual
	matrices constructed.

	Replace tkopen, tkread and tkclose in Evaluate Code in main.R

16-May-2007 affylmGUI 1.10.1
	Fix HeatDiagram File menu so that it can save in PNG/JPEG/PS/PDF formats by adding value
	for limmaDataSetNameText to HeatDiagramPlot function in plot.R

	Fixed bug in IntensityHistogramAll function
	#Replace this line with line below#Try(hist(log2(mm(RawAffyData[,slide])),breaks=100,col="blue",xlab=xLabel,ylab=yLabel,main=plotTitle))
	Try(hist(log2(mm(RawAffyData)),breaks=100,col="blue",xlab=xLabel,ylab=yLabel,main=plotTitle))

	Modified way to access data in AffyBatch objects(RawAffyData), Use accessors for exprs, se.exprs, cdfname etc
	in main.R
		#Replace this line with line below#Try(SlideNamesVec <- colnames(RawAffyData@exprs))
			 Try(SlideNamesVec <- colnames(exprs(RawAffyData)))
	in plot.R
	#Replace this line with line below#Try(R <- log2(RawAffyData@exprs[,slide1]))  # Using cDNA notation (R for one channel/array, G for the other)
		 Try(R <- log2(exprs(RawAffyData)[,slide1]))  # Using cDNA notation (R for one channel/array, G for the other)
	#Replace this line with line below#Try(G <- log2(RawAffyData@exprs[,slide2]))  # Using cDNA notation (R for one channel/array, G for the other)
		 Try(G <- log2(exprs(RawAffyData)[,slide2]))  # Using cDNA notation (R for one channel/array, G for the other)

April 2007
	affylmGUI 1.10.0 released with Bioconductor 2.0/R2.5.0

29 September 2006 affylmGUI 1.7.1
	Add documentation entries to affylmGUI.RD for all arguments of functions
	Modify installation of annotation package code(Plot.R) in HeatDiagramPlot function if(length(geneSymbols)==0)
	Modify installation of annotation package code(Plot.R) in affyPlotMAcontrast function if(length(geneSymbols)==0)
	Modify installation of annotation package code(Plot.R) in LogOddsPlot function if(length(geneSymbols)==0)
	Modify (affylmGUI-menus.txt) by adding (One Slide) to several plot options
	The "Intensity Density Plot" on the  Plot Menu option now calls the function "DensityPlotAll",
		which plots Densities for all slides
	Added the function "DensityPlotAll" to Plot.R which plots all slide's Density plot on the one graph.
	Added the "RNA Digestion Plot" option to the Plot Menu option which calls the function "RNADigestionPlotAll".
	Added the RNADigestionPlotAll function which plots an RNA digestion plot for all slides.
	Added the "NUSE-Normalized Unscaled Std.Errors Plot" Plot Menu option which calls the function "NUSEPlotAll".
	Added the "RLE-Relative Log Expression Plot" Plot Menu option which calls the function "RLEPlotAll".
	Renamed the Image Quality Plot on the Plot Menu to the "Weights pseudo chip Image(s) Plot" which now
		calls the function ImageQualityWeightPlot.
	Added the "Residuals pseudo chip Image(s) Plot" to the Plot menu which now clls the function ImageQualityResidualPlot.
	The NUSE, RLE & Weights pseudo chip Image plots call affyPLM and store the Pset result.
	Added appropriate entries in the affylmGUI.Rd file
	Remove "\usepackage{Sweave}" from affylmGUI.Rnw and extract.Rnw

21 April affylmGUI 1.5.4
	Fixed tkcmd(open,filename...) etc. Used tclopen(filename...)
	similarly for tkcmd(read/close).
	Fixed ALGchangeLog - case wrong in some places
	utility.R not uploaded last time.

10 April 2006 affylmGUI 1.5.4
	Remove dependence on reposTools package in main.R and plot.R
	Replace tkcmd with tcl in about 50 places
	Replacing tkcmd(open...) with tclopen(..., similarly for tkcmd read and close
	  did not work, reverted to deprecated tkcmd syntax - need to sort this out.
	Add additional reference to CITATION text file

17 January 2006 affylmGUI 1.5.3
	Add citation entries for gcrma and rma

30 November 2005 affylmGUI 1.4.3
	Add ChangeLog item to Help Menu - shows 20 lines
	Add the showChangeLog function to main.R
	Add Citations item to Help Menu.
	Add Sentence on Main window telling users about the Citations item
	on the Help Menu.
	Fix limma help function on Help menu.
	Make message for help functions appear in R console rather than as a
	separate tkmessage box.
	Add utility.R to R subdirectory which contains the changeLog
	function and the limmaUsersGuide function.

8 November 2005 affylmGUI 1.4.2
- Add this changelog.txt file to the doc sub-directory of the inst sub-directory.

4 November 2005 affylmGUI 1.4.2
- Include PlotOptions.R in distribution to Bioconductor devel site
- Modify main.R - Adjust Menu box for Top Table was changed to only
  display None, BH, BY and Holm as alternative Adjustment methods
- Modify main.R to include Adjustment method in heading of top table plot

October 2005 14 2005: affylmGUI 1.4.0.
	affylmGUI version upgraded from 1.3 to 1.4.0 for release
	by Bioconductor for release with Bioconductor
	version 1.7 (for release after R 2.2.0)
	Maintainer changed from James Wettenhall to Keith Satterley

September 2005: affylmGUI 1.3.0
	Keith Satterley takes over maintenance of program.

PRE-HISTORY

affylmGUI was developed by James Wettenhall, Gordon Smyth and Ken
Simpson between 2003 and October 2005.

=======================================================================
